Make "recently active topics" the default?
Closed, ResolvedPublic

Description

Hi could flow do something similar to what LiquidThread did. What LiquidThread did was everytime someone created a topic or edited one it would go to the top of page can flow do that. If flow does could it do it by default.

Paladox created this task.Aug 7 2015, 12:44 PM
Paladox updated the task description. (Show Details)
Paladox raised the priority of this task from to Needs Triage.
Paladox added a project: StructuredDiscussions.
Paladox moved this task to Backlog on the StructuredDiscussions board.
Paladox added subscribers: Paladox, Mattflaschen-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 7 2015, 12:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SBisson added a subscriber: SBisson.Aug 7 2015, 1:07 PM

You can sort by "Recently active topic".

Can that be made the default please.

SBisson added a subscriber: DannyH.Aug 7 2015, 1:19 PM

I don't know if we want it as the default. It's more of a @DannyH question but it's a sticky preference when you are logged in. Change it to "Recently active topic" and it should stay like that when you visit any Flow board. Please let us know if it doesn't behave like that for you.

Mattflaschen-WMF renamed this task from Flow should show recently edited topics to Make "recently active topics" the default?.Aug 8 2015, 3:22 AM
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF added a subscriber: Pginer-WMF.

I thought it already was the default...

Change 230976 had a related patch set uploaded (by Mattflaschen):
Change default sort to "recently active"

https://gerrit.wikimedia.org/r/230976

Catrope added a subscriber: Catrope.
Catrope triaged this task as Normal priority.Aug 12 2015, 11:51 PM

Change 230976 merged by jenkins-bot:
Change default sort to "recently active"

https://gerrit.wikimedia.org/r/230976

Checked in betalabs

  • the sort order 'Recently active topics' is a default for new users
  • Edited/Modified topics are re-sorted correctly upon reloading a page

Two small points:

  • 'Thank' action will not make a topic 'recently active'
  • only re-loading a page will place recently active topics according to the sort option 'Recently active topics'
DannyH closed this task as Resolved.Aug 20 2015, 7:18 PM

Yes, the two points that @Etonkovidova brings up are expected behavior.